import { prop, getModelForClass, Ref } from "@typegoose/typegoose"
import Member, { MemberAdditionalAcknowledgement, MemberUsedLanguages, MemberUsedOperatingSystems } from "./Member";
import CommunityReport from "./CommunityReport"

/**
 * TODO:
 * - Comments
 * - Inquiry identifier
 * - Reason
 */


export default abstract class Inquiry {
    @prop({ required: true, index: true, ref: () => Member })
    public member: Ref<Member> | undefined;

    @prop({ required: true })
    public date: Date | undefined;

    @prop({ required: true, ref: () => Member })
    public initiatedBy: Ref<Member> | string | undefined;

    @prop({ required: true, ref: () => CommunityReport })
    public report: Ref<CommunityReport> | undefined;
}
